Bug 1206565 - [RFE] Add dualstack and multihomed support
Summary: [RFE] Add dualstack and multihomed support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Reichl
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 1181710 1254785
TreeView+ depends on / blocked
 
Reported: 2015-03-27 12:41 UTC by Martin Kosek
Modified: 2020-05-02 17:55 UTC (History)
10 users (show)

Fixed In Version: sssd-1.13.0-6.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:37:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3600 0 None None None 2020-05-02 17:55:45 UTC
Red Hat Product Errata RHSA-2015:2355 0 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2015-11-19 10:27:42 UTC

Description Martin Kosek 2015-03-27 12:41:22 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2558

Currently SSSD with dyndns_update options, updates only one address (remove original A/AAAA in DNS) which is IP address of LDAP connection.

To support Dual stacked hosts we need to upload all addresses.
https://fedorahosted.org/freeipa/ticket/4249

Comment 1 Jakub Hrozek 2015-07-24 09:01:43 UTC
* b0a8ed519554f8896e35812e0759862c33f157fe
* 1112e84494bcfd0f658e073d25f15ed877d047aa
* 0a26e92fb2a4dd9704a0578f90241997e2aed269
* 038b9ba28a618e3e553803da632116a040b94034
* aa3fd6fde3888c0e333cad852ae5b4f671d55f58

Comment 3 Pavel Picka 2015-09-17 14:55:37 UTC
Verified. 

Verified of RFE by tests (all test done for dual stack | ipv6 only | ipv4 only environment) : 

1. ipa dnsrecord-show for enabled dynamic update 
2. ipa dnsrecord-show for enabled dynamic update with specified devices
3. ipa dnsrecord-show for enabled dynamic update with special '*' for all devices

[root@rhel01 ~]# rpm -q sssd
sssd-1.13.0-26.el7.x86_64
[root@rhel01 ~]# rpm -q ipa-server
ipa-server-4.2.0-8.el7.x86_64
[root@rhel01 ~]#

Comment 4 errata-xmlrpc 2015-11-19 11:37:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html


Note You need to log in before you can comment on or make changes to this bug.